Activité Médias enrichis dans Opale 3.7

Bonjour,

je teste l’intéressante et nouvelle fonctionnalité de médias enrichis disponible dans la v 3.7.

Malheureusement l’interface d’édition ne s’affiche pas avec à la place le message :

Chargement du média et de l’interface en cours, veuillez patienter…

Testé dans Ubuntu 18.04.1, ScenariChain 4.2.1.06 final et opale 3.7.0.0 et la vidéo de démo de WebMEdia Kezako.mp4.

A noter que WebMedia fonctionne parfaitement avec cette vidéo dans ScenariChain.

Voici un fichier scar de mon essai : Test Media Enrichi

Merci,
Thibaud.

Bonjour,
Pas de problème chez moi (Ubuntu 18.04, SCENARIchain 4.2 DEB nightly) :

Pouvez-vous démarrer scenarichain en ligne de commande ? Ceci permettra de voir si il y a une exception Java / un problème avec ffmpeg ?

Bonjour,

Je viens de faire un test avec SCENARIchain 4.2.106 stable qui en effet pose un problème de compatibilité avec Ubuntu 18.04. Mais dans ce cas vous alez avoir le même problème avec Webmedia, à par si vous aviez testé Webmedia avant Ubuntu 18.04 et que l’item mp4 n’a pas été modifié ou renommé depuis (son waveform est alors en cache).

La solution est donc, soit d’utilisé l’application Opale 3.7, soit de passer à la version nightly de SCENARIchain.

Bonsoir,

  Est-ce que ce ne serait pas un problème de format de fichier média. Vous utilisez un .mov alors que l'item webmedia dans Opale attend à priori un mp4 ou webm (affiché lorsqu'on survole l'emplacement pour la vidéo).

Bonne soirée,

C. Bellessort

Bonsoir,

merci sam !
J’essaie donc d’importer le fichier scar depuis scenari 4.2 (wspack opale 3.7) vers… opale3.7, mais j’obtiens des erreurs : “item indéfini de type xml”… Y a-t-il une procédure d’import particulière à suivre ?
Plus des messages de log:

2018-10-02 22:06:42.758:INFO::main: Logging initialized @1354ms
2018-10-02 22:06:43.400:INFO:esjs.Server:main: jetty-9.1.4
2018-10-02 22:06:44.617:INFO:esjsh.ContextHandler:main: Started e.s.j.s.ServletContextHandler@79efed2d{/,null,AVAILABLE}
2018-10-02 22:06:44: basic_code_modules.cc:70: ERROR: Module /usr/lib/opale3.7/xulrunner/libmozsqlite3.so could not be stored
2018-10-02 22:06:44: basic_code_modules.cc:70: ERROR: Module /usr/lib/opale3.7/xulrunner/liblgpllibs.so could not be stored
2018-10-02 22:06:44: basic_code_modules.cc:70: ERROR: Module /usr/lib/opale3.7/xulrunner/components/libdbusservice.so could not be stored
2018-10-02 22:06:44.729:INFO:esjs.ServerConnector:main: Started ServerConnector@2f112965{HTTP/1.1}{127.0.0.1:33881}
2018-10-02 22:06:44.730:INFO:esjs.Server:main: Started @3605ms

Merci christophebellessort ; je viens de corriger mon post, il s’agit bien d’un mp4 et non pas d’un mov.

Ah, ok.

  En plus en testant, je ne reproduisais pas cela avec un mov qui était tout bonnement refusé.

As-tu creusé du côté d’un problème de codecs ?

@+

  1. Christophe, il y absolument pas de pb de codecs, c’est un pb de paramétrage de SCENARIchain dans le contexte de Ubuntu 18.04
  2. Thibaud, Attention l’application Opale créer par défaut un atelier OpaleStater qui ne connais pas media enrichie. Il vous faut créer un atelier Opale et PAS OpaleStarter avant d’importer votre scar.

Bonjour
Je rencontre le même problème soulevé dans ce fil de discussion.
Nous travaillons avec scenariserver (procédure debian) et mon problème est que quand je créée l’activité média enrichi et que j’y associé une vidéo mp4, j’ai le message " Chargement du média et de l’interface en cours, veuillez patienter"
D’après les échanges ça serait dû à un paramétrage du sevreur. Que faudrait-il faire pour un scenarserver 4.2 sous debian ?
De même j’aimerais bien savoir ce qu’il faudrait installer sur le serveur pour bénéficier du postscriptum.
Merci d’avance pour vos retours
Atika

Bonjour,
Quelle est la version de Debian installé ?

Pour Postscriptum, il suffit d’y installer le deb. Si vous avez installé SCENARIserver depuis le dépôt scenari.org il sufft de :
sudo apt install postscriptum-app

c.f. https://download.scenari.software/addons/Opale/OpaleGenPdfPs@3.7.0.16/

C’est la version 8.
Merci pour la piste pour postscriptum.
Bonne continuation
Atika

Debian 8 est en tout fin de vie, les mises à jour ont été stoppés le 17 juin 2018 et le support LTS se termine le 30 juin 2020. Il, est temps de mettre à jour votre système !

Je pense que votre problème avec le media enrichi est que Debian 8 ne proposait pas ffmpeg mais un clone qui s’appelle avconv (package av-tools je crois). Par défaut SCENARI utilise ffmpeg il faut donc soit :

  • mettre à jour votre serveur à Debian 9 ou 10 ou Ubuntu 18.04 ou 20.04, ffmpeg est alors disponible (cette mise à jour est de toutes façons souhaitable)
  • paramétrer SCENARIserver pour utiliser avconv à la place de ffmpeg (paramètre server.appExt.ffmpeg.path dans /etc/secnariserver4.2/conf/main.property) et relancer la configuration de SCENARIserver

Merci beaucoup Sam pour ces informations précieuses.
J’étais en effet out pendant 1 an et demi…
Je relance donc notre administrateur système pour les différentes mises à jour.
Bien cordialement
Atika